Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.wowza.wms.plugin.integration.liverecord
Class LiveStreamRecorderFLV

    Object
      com.wowza.wms.plugin.integration.liverecord.LiveStreamRecorderBase
          com.wowza.wms.plugin.integration.liverecord.LiveStreamRecorderFLV

All Implemented Interfaces:
  ILiveStreamRecord

Direct Known Subclasses:
  LiveStreamRecorder

    public class LiveStreamRecorderFLV

extends LiveStreamRecorderBase
implements ILiveStreamRecord

Field Summary

Fields inherited from class com.wowza.wms.plugin.integration.liverecord.LiveStreamRecorderBase
`filePath, moveFirstVideoFrameToZero, recordData, startOnKeyFrame, stream, streamNotifier, versionFile, worker, writeLock`

Constructor Summary
`LiveStreamRecorderFLV()`

Method Summary
`protected java.util.List<com.wowza.wms.amf.AMFPacket>` | `getPlayPackets()`
`void` | `onPublish()`
`void` | `onUnPublish()`
`void` | `startRecording(com.wowza.wms.stream.IMediaStream stream, boolean append)`
`void` | `startRecording(com.wowza.wms.stream.IMediaStream stream, String filePath, boolean append)`
`void` | `startRecording(com.wowza.wms.stream.IMediaStream stream, String filePath, boolean append, java.util.Map extraMetadata)`
`void` | `stopRecording()`
`void` | `work()`
`void` | `workStop()`

Methods inherited from class com.wowza.wms.plugin.integration.liverecord.LiveStreamRecorderBase
`getFilePath, getWriteLock, isMoveFirstVideoFrameToZero, isRecordData, isStartOnKeyFrame, isVersionFile, setMoveFirstVideoFrameToZero, setRecordData, setStartOnKeyFrame, setVersionFile`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.wowza.wms.plugin.integration.liverecord.ILiveStreamRecord
`getFilePath, getWriteLock, isMoveFirstVideoFrameToZero, isRecordData, isStartOnKeyFrame, isVersionFile, setMoveFirstVideoFrameToZero, setRecordData, setStartOnKeyFrame, setVersionFile`

Constructor Detail

### LiveStreamRecorderFLV

    public LiveStreamRecorderFLV()

Method Detail

### getPlayPackets

    protected java.util.List<com.wowza.wms.amf.AMFPacket> getPlayPackets()

### onPublish

    public void onPublish()

  Specified by:
    `onPublish` in interface `ILiveStreamRecord`

### onUnPublish

    public void onUnPublish()

  Specified by:
    `onUnPublish` in interface `ILiveStreamRecord`

### startRecording

    public void startRecording(com.wowza.wms.stream.IMediaStream stream,
                               boolean append)

  Specified by:
    `startRecording` in interface `ILiveStreamRecord`

### startRecording

    public void startRecording(com.wowza.wms.stream.IMediaStream stream,
                               String filePath,
                               boolean append)

  Specified by:
    `startRecording` in interface `ILiveStreamRecord`

### startRecording

    public void startRecording(com.wowza.wms.stream.IMediaStream stream,
                               String filePath,
                               boolean append,
                               java.util.Map extraMetadata)

  Specified by:
    `startRecording` in interface `ILiveStreamRecord`

### stopRecording

    public void stopRecording()

  Specified by:
    `stopRecording` in interface `ILiveStreamRecord`

### work

    public void work()

  Specified by:
    `work` in interface `ILiveStreamRecord`

### workStop

    public void workStop()

  Specified by:
    `workStop` in interface `ILiveStreamRecord`

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD